@import "~/assets/scss/modules/_table-tile.scss";

.kit.table-tile {
  &.display-table {
    @media only screen and (min-width: 1025px) {
      .unit.manufacturer {
        width: 20%;
      }
      .unit.photo {
        width: 4rem;
        min-width: 4rem;
        max-width: 4rem;
      }
      .unit.name {
        width: calc(40% - 4rem);
      }
      .unit.price {
        width: 20%;
      }
      .unit.action {
        width: 20%;
        padding-right: 2rem;
      }

      .unit {
        &.manufacturer {
          flex-flow: row nowrap;
          padding-left: 1rem;
          &:not(.title) {
            .title {
              font-weight: 700;
              white-space: nowrap;
              overflow: hidden;
              text-overflow: ellipsis;
            }
          }
        }
        &.name {
          flex-direction: column;
          align-items: flex-start;
          justify-content: center;
          &:not(.title) {
            .title {
              color: #141414;
              font-weight: 700;
              width: 100%;
              text-overflow: ellipsis;
              overflow: hidden;
              white-space: nowrap;
            }
            .params {
              width: 100%;
              white-space: nowrap;
              overflow: hidden;
              text-overflow: ellipsis;
              .season:after {
                content: ',';
                display: inline;
              }
            }
            .ellipsis {
              max-width: 100%;
              display: block;
              text-overflow: ellipsis;
              overflow: hidden;
              white-space: nowrap;
            }
          }
        }
        &.price {
          &:not(.title) {
            font-size: 1rem;
            font-weight: 700;
            color: #141414;
            white-space: nowrap;
            padding: 0.5rem 0.75rem;
          }
        }
        &.action {
          &:not(.title) {
            .ui.button {
              font-size: 0.875rem;
              max-height: 2rem;
              min-width: 5.625rem;
              padding-top: 0.25rem;
              padding-bottom: 0.25rem;
              margin: auto;
            }
          }
        }
      }
      .img-wrapper {
        width: 2.5rem;
        height: 2.5rem;
      }
    }
  }

  &.display-tile {
    @media only screen and (min-width: 1025px) {
      // padding-top: 1.375rem;
      .line.body.table {
        font-size: 1rem;
        line-height: 1.2;
        color: #141414;
        border-color: #C5D1D9;
        &:hover {
          font-weight: 700;
          cursor: pointer;
          box-shadow: 0 0.75rem 1.5rem rgba(89, 108, 125, 0.16);
          .ui.inverted.yellow.button {
            background-color: #ffdb64
          }
          .unit.price .bold {
            font-weight: 700;
            font-size: 1rem;
          }
        }
      }
      .unit {
        &.manufacturer {
          display: none;
        }
        &.photo {
          order: 1;
          flex: 0 0 7rem;
          height: 7rem;
          width: 100%;
          border-bottom: 1px solid #BBC8D1;
          overflow: hidden;
          padding-bottom: 0.5rem;
          margin-bottom: 0.625rem;
          font-size: 0;
          .img-wrapper {
            margin: auto;
            width: 100%;
            height: 100%;
            img {
              display: block;
              width: auto;
              height: 100%;
            }
          }
        }
        &.name {
          order: 3;
          flex-flow: column nowrap;
          .title {
            color: #141414;
            max-width: 100%;
            font-weight: 500;
            span {
              display: block;
              white-space: nowrap;
              max-width: 100%;
              overflow: hidden;
              text-overflow: ellipsis;
            }
            .brand {
              padding: 0.25rem 0 0.375rem;
            }
          }
          .params {
            display: flex;
            flex-flow: column nowrap;
            max-width: 100%;
            font-weight: 400;
            font-size: 0.8125rem;
            .season {
              padding-bottom: 0.25rem;
            }
            .gray {
              color: #8798A4;
            }
          }
          .ellipsis {
            max-width: 100%;
            display: block;
            span {
              display: block;
              width: 100%;
              text-overflow: ellipsis;
              overflow: hidden;
              white-space: nowrap;
            }
          }

        }
        &.price {
          order: 4;
          font-size: 0.8125rem;
          font-weight: 400;
          padding: 0.5rem 0 0.75rem;
          .bold {
            font-size: 1rem;
            font-weight: 700;
          }
        }
        &.action {
          order: 5;
          .ui.button {
            width: 8.75rem;
            margin: 0 auto;
          }
        }
      }
    }
  }

  @media only screen and (max-width: 1024px) {
    .line.body.table {
      max-height: 6rem;
      font-size: 1.125rem;
      font-weight: 700;
      line-height: 1.2;
      color: #141414;
    }
    .unit {
      &.manufacturer {
        display: none;
      }
      &.photo {
        order: 1;
        flex: 0 0 3rem;
        height: 3rem;
        width: 3rem;
        border: 1px solid #BBC8D1;
        border-radius: 0.25rem;
        overflow: hidden;
        padding: 0.125rem;
        margin-right: 1rem;
        margin-bottom: auto;
        font-size: 0;
        .img-wrapper {
          width: 100%;
          height: 100%;
          img {
            display: block;
            width: auto;
            height: 100%;
          }
        }
      }
      &.name {
        order: 2;
        flex-flow: column nowrap;
        max-width: calc(100% - 4rem);
        .brand, .size {
          white-space: nowrap;
          display: inline-block;
          overflow: hidden;
          text-overflow: ellipsis;
        }
        .title {
          display: flex;
          flex-flow: row nowrap;
          white-space: nowrap;
          overflow: hidden;
          text-overflow: ellipsis;
          padding-bottom: 0.375rem;
          width: 100%;
          font-weight: 500;
          line-height: 1;
          color: #4272a4;
          text-decoration: underline;
          > span {
            display: inline;
          }
          .brand:before {
            content: ',';
            display: inline-block;
            padding-right: 0.25rem;
          }
        }
        .params {
          display: flex;
          flex-flow: row nowrap;
          font-weight: 400;
          font-size: 0.875rem;
          width: 100%;
          //max-width: calc(100% - 4rem);
          .gray {
            color: #8798A4;
          }
          .season:after {
            content: ',';
            padding-right: 0.25rem;
          }
        }
        .ellipsis {
          display: block;
          width: 100%;
          text-overflow: ellipsis;
          overflow: hidden;
          white-space: nowrap;
          > span {
            display: inline !important;
          }
        }

      }
      &.price {
        order: 3;
        max-width: calc(100% - 4rem);
        padding-top: 0.25rem;
      }
      &.action {
        display: none;
      }
    }
  }
}
